## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DecimalToRoman Struct Reference

Structure to help in converting integrals to roman numerals. More...

List of all members.

## Public Types

- typedef unsigned long ValueType
- enum { eMaxLetter = 2 }

## Public Attributes

- ValueType m_postValue
- XalanDOMChar m_postLetter [eMaxLetter+1]
- ValueType m_preValue
- XalanDOMChar m_preLetter [eMaxLetter+1]

## Detailed Description

Structure to help in converting integrals to roman numerals.

## Member Typedef Documentation

typedef unsigned long DecimalToRoman::ValueType

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eMaxLetter |

## Member Data Documentation

XalanDOMChar DecimalToRoman::m_postLetter[eMaxLetter + 1]

ValueType DecimalToRoman::m_postValue

XalanDOMChar DecimalToRoman::m_preLetter[eMaxLetter + 1]

ValueType DecimalToRoman::m_preValue

The documentation for this struct was generated from the following file:

- DecimalToRoman.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.